using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        public static void PetSetova(int brojPoena, int poeniUSetu)
        {
            int preostaliPoeni = brojPoena;
            int prviTim, drugiTim;

            decimal temp = preostaliPoeni / 5;

            int ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }


            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni / 4;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            drugiTim = 10;
            prviTim = ukupnoPoenaUSetu - 10;

            while ((drugiTim - prviTim) < 2)
            {
                drugiTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni / 3;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            drugiTim = 10;
            prviTim = ukupnoPoenaUSetu - 10;

            while ((drugiTim - prviTim) < 2)
            {
                drugiTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni / 2;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);

            temp = preostaliPoeni;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


        }

        public static void CetririSeta(int brojPoena, int poeniUSetu)
        {
            int preostaliPoeni = brojPoena;
            int prviTim, drugiTim;

            decimal temp = preostaliPoeni / 4;

            int ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni / 3;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni / 2;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            drugiTim = 10;
            prviTim = ukupnoPoenaUSetu - 10;

            while ((drugiTim - prviTim) < 2)
            {
                drugiTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);
        }

        public static void TriSeta(int brojPoena, int poeniUSetu)
        {
            int preostaliPoeni = brojPoena;
            int prviTim, drugiTim;

            decimal temp = preostaliPoeni / 3;

            int ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni / 2;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);


            temp = preostaliPoeni;

            ukupnoPoenaUSetu = (int)Math.Floor(temp);
            preostaliPoeni -= ukupnoPoenaUSetu;

            prviTim = 10;
            drugiTim = ukupnoPoenaUSetu - 10;

            while ((prviTim - drugiTim) < 2)
            {
                prviTim++;
                preostaliPoeni--;
            }

            Console.WriteLine("{0} {1}", prviTim, drugiTim);
        }
        static void Main(string[] args)
        {
            int brojPoena;
            int poeniUSetu;

            string[] unos = Console.ReadLine().Split(' ');
            brojPoena = Convert.ToInt32(unos[0]);
            poeniUSetu = Convert.ToInt32(unos[1]);

            double a = (brojPoena) / (poeniUSetu);

            if (a >= 5)
            {
                PetSetova(brojPoena, poeniUSetu);
            }
            else if (a >= 4)
            {
                CetririSeta(brojPoena, poeniUSetu);
            }
            else if (a >= 3)
            {
                TriSeta(brojPoena, poeniUSetu);
            }
            else
            {
                Console.WriteLine("-1");
            }
        }
    }
}